Certifying for Windows Store using VS2015

I have an app that has been submitted to Google and Apple. The app works on a Nokia Lumia without changing the code or config. To get AJAX to work on a Windows 10 VM I need to set ‘Private Networks (Client & Server)’ in Capabilities. But with it set I can’t get passed the certification when I create the app bundle.

The VMs network is 10.2.x.x.

I have set Content URIs to include combinations of :

ms-appx-web:///
https://xxxxxxxxx.xxxxxxxxxxx.xxxxxx/

Config.xml uses Cordova Whitelist with:

  <access origin="*"/>
  <allow-intent href="http://*/*"/>
  <allow-intent href="https://*/*"/>
  <allow-intent href="tel:*"/>
  <allow-intent href="sms:*"/>
  <allow-intent href="mailto:*"/>
  <allow-intent href="geo:*"/>
  <allow-navigation href="https://xxxxxxxxx.xxxxxxxxxxx.xxxxxx"/>

index.html has this (and had almost infinite combinations of):

If I can’t passed the test locally I can’t submit the bundle to the store. In an earlier version of the framework and certification suite the app passed the test but Microsoft found that it failed tests during submission.

Any ideas what I need to do?

package.json:

{
“name”: “ionic-hello-world”,
“author”: “Ionic Framework”,
“homepage”: “http://ionicframework.com/”,
“private”: true,
“scripts”: {
“ionic:build”: “ionic-app-scripts build”,
“ionic:serve”: “ionic-app-scripts serve”
},
“dependencies”: {
"@angular/common": “2.4.8”,
"@angular/compiler": “2.4.8”,
"@angular/compiler-cli": “2.4.8”,
"@angular/core": “2.4.8”,
"@angular/forms": “2.4.8”,
"@angular/http": “2.4.8”,
"@angular/platform-browser": “2.4.8”,
"@angular/platform-browser-dynamic": “2.4.8”,
"@angular/platform-server": “2.4.8”,
"@ionic/storage": “2.0.0”,
“ionic-angular”: “2.2.0”,
“ionic-native”: “2.4.1”,
“ionicons”: “3.0.0”,
“rxjs”: “5.0.1”,
“zone.js”: “0.7.2”,
“sw-toolbox”: “3.4.0”
},
“devDependencies”: {
"@ionic/app-scripts": “1.1.4”,
“typescript”: “2.0.9”
},
“cordovaPlugins”: [
“cordova-plugin-whitelist”,
“cordova-plugin-console”,
“cordova-plugin-statusbar”,
“cordova-plugin-device”,
“cordova-plugin-splashscreen”,
“ionic-plugin-keyboard”
],
“cordovaPlatforms”: [],
“description”: “An Ionic project”
}

$ ionic info

Your system information:

Cordova CLI: 6.5.0
Ionic Framework Version: 2.2.0
Ionic CLI Version: 2.2.1
Ionic App Lib Version: 2.2.0
Ionic App Scripts Version: 1.1.4
ios-deploy version: Not installed
ios-sim version: Not installed
OS: Windows 10
Node Version: v6.9.4
Xcode version: Not installed